
In June 5, 2013, I was at a parade with my mom and my youngest daughter, who was 2 years old at the time. It was very hot out. As I was drinking a cold drink, I felt a bug bite my neck. With quick instinct, I slapped my neck and when I looked at the palm of my hand tit was a dead mosquito. I told my mom, 'Yuck I killed a bug', and she helped me clean my hand. Within 30 minutes, I told my mom that I felt sick and was dizzy. I decided to go home. Immediately when I got home, I laid in the couch and from there on I felt sick. The next day I was still dizzy with a headache. As days passed by, I started getting a fever, so I decided to go to the hospital. The doctors told me it was a summer flu. I went home.

As days continued to pass, I start getting new symptoms in addition to my fever, headaches, and dizziness. I started vomiting multiple times in one day, so I decide to return to the same hospital. I'm diagnosed with a stomach virus, so I go back home. All medications given to me made me even more sick.

Time continued to pass as I lived sick day by day with new symptoms daily. I decided to go to a different hospital this time. I have developed speech problems where I sound like a snake when I speak with many sss's. I also am having problems walking. But in this hospital they found nothing, and called it a virus, flu, or whatever seemed appropriate to them.

I go home and a couple more days go by. This time I'm so sick that I basically gave up. At this time, I can't no longer eat or drink anything. I can't walk and barely can talk. A family friend, my cousin, and my ex sister-in-law insisted I go to a hospital known to be very good in reputation. They called an ambulance to take me to this hospital. To my surprise, the diagnosis was that I had brain inflammation; more specifically it was West Nile virus from the infected mosquito. I was told I had 10 hours to live. It is now June 23rd; I remember because the next day was my son's birthday. I went into a mini-coma, which helped relieve pressure from my brain. I had two spinal cord injections that relieved pressure on the brain as well. Lots of steroids and other medications were given to me. During that mini-coma is when my NDE occurred.

I remember going through a tunnel with lights. The tunnel brought me to a place with a huge screen and many people waiting for, what it seemed to me, a movie that was about to start. As I look at the huge crowd of people I notice that I know them all or they seem familiar. The light on the screen turn on and there I am as a child about 10 years old. I'm walking into a department store with a friend. We end up stealing a hat and, OMG, that was shown to everyone there. When I looked at the crowd, that friend and the cops involved as I got caught were all there watching the movie too. I was saying in my mind, 'What is this? Where am I?' The screen kept showing scenes one after another, to all of this crowd. The crowd ended up being everyone who was a part of my life or who I've ever met. The screen kept showing all my sins I've ever done from my teenage years until I was age 33. I was so embarrassed. Those were the secrets I thought no one would ever know, yet it was shown to all those that I ever knew. I felt humiliated, embarrassed and it did not stop until I said, 'I am sorry. I repent for all sins I have ever committed.'

Suddenly, I wake up scared in a bed with about three people around me who were full of light. I couldn't tell if they were human, but they sounded human as they spoke among each other.

Then, I am somewhere else. I started seeing different lives: I saw my animal lives, my life as a speck, my life where I was condemned as a witch, my life where I was an unknown creature in the ocean, and so many more lives. I saw that my soul is over 2000 years old. I saw my life as other races, not Hispanic as I am now. I had over 20 dreams that I can remember. I remember the horror of being a cockroach, the struggle for survival was immense. As a cockroach I knew I was me Sonia and I asked to please take me way from this form. I have so many more dreams to share with the world. I woke up from my mini-coma thinking my kids were not alive. To me I was not dreaming and remembering in one life were I lost my children. I really thought it was this life; I was devastated and confused, especially when I did see my kids at the hospital during recovery. I was tired after the coma and not in my right mind not knowing what's right and what's wrong. I was sent from there to a place to get better. Months later, after all this, I was sent home.

When I got home, life was different to me as my body was in a battle. I came out the hospital with a severely weakened immune system. I spent almost a year battling diseases until on January of 2015 I had an awakening. Suddenly, I knew out of nowhere that my dreams in the hospital were past lives experiences. I realized we are all one 'oneness.' I woke up. I felt like I was leaving the matrix and was a different person. After that, I learned so much. I learned how to communicate with archangels, angels, and other beings. I learned to be a spiritual person. I am so grateful to have learned to cure my own body as we are all God and are able to have the power of healing ourselves and healing others. I no longer get sick. I am cured; with no medicines and no doctors. Everyday since then I learn something new. I learned why I am here in this earth and it is to help others. Crazy thing is my past before this accident and before this awakening was disastrous. I was very violent, got into fights, basically didn't care much. Now I am blessed and my life is transformed. I am so full of love and I just want to help the world.
